package cn.iocoder.yudao.module.system.service.home;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeElderlyInfoDetailRespVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeElderlyInfoPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeElderlyInfoPageRespVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeElderlyInfoSaveReqVO;

public interface HomeElderlyInfoService {

    Long createHomeElderlyInfo(HomeElderlyInfoSaveReqVO createReqVO);

    void updateHomeElderlyInfo(HomeElderlyInfoSaveReqVO updateReqVO);

    void deleteHomeElderlyInfo(Long id);

    HomeElderlyInfoDetailRespVO getHomeElderlyInfo(Long id);

    PageResult<HomeElderlyInfoPageRespVO> getHomeElderlyInfoPage(HomeElderlyInfoPageReqVO pageReqVO);

}
